Intrusion Prevention

MS.GDI+.GIF.Code.Execution

Description

This indicates an attack attempt to exploit a remote code execution vulnerability in Microsoft GDI+.
The vulnerability is caused by an error that occurs when the vulnerable software handles many extension. It allows a remote attacker to execute arbitrary code via a crafted GIF file.

Affected Products

Microsoft Internet Explorer 6 Service Pack 1 when installed on Microsoft Windows 2000 Service Pack 4
Windows XP Service Pack 2 and Windows XP Service Pack 3
Windows XP Professional x64 Edition and Windows XP Professional x64 Edition Service Pack 2
Windows Server 2003 Service Pack 1 and Windows Server 2003 Service Pack 2
Windows Server 2003 x64 Edition and Windows Server 2003 x64 Edition Service Pack 2
Windows Server 2003 with SP1 for Itanium-based Systems and Windows Server 2003 with SP2 for Itanium-based Systems
Windows Vista and Windows Vista Service Pack 1
Windows Vista x64 Edition and Windows Vista x64 Edition Service Pack 1
Windows Server 2008 for 32-bit Systems*
Windows Server 2008 for x64-based Systems*
Windows Server 2008 for Itanium-based Systems
Microsoft Office XP Service Pack 3
Microsoft Office 2003 Service Pack 2 and Microsoft Office 2003 Service Pack 3
2007 Microsoft Office System and 2007 Microsoft Office System Service Pack 1

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply patch, available from the web site:
http://www.microsoft.com/technet/security/Bulletin/ms08-052.mspx

CVE References

CVE-2008-3013